Name:           ros-kinetic-eigen_stl_containers
Version:        0.1.8
Release:        1%{?dist}
Summary:        ROS package eigen_stl_containers

License:        BSD
URL:            http://www.ros.org/

Source0:        https://github.com/ros-gbp/eigen_stl_containers-release/archive/release/kinetic/eigen_stl_containers/0.1.8-0.tar.gz#/ros-kinetic-eigen_stl_containers-0.1.8-source0.tar.gz


BuildArch: noarch

BuildRequires:  eigen3-devel
BuildRequires:  ros-kinetic-catkin
BuildRequires:  ros-kinetic-cmake_modules

Requires:       eigen3-devel

%description
This package provides a set of typedef's that allow using Eigen
datatypes in STL containers


%prep

%setup -c -T
tar --strip-components=1 -xf %{SOURCE0}

%build
# nothing to do here


%install
CFLAGS="${CFLAGS:-%optflags}" ; export CFLAGS ; \
CXXFLAGS="${CXXFLAGS:-%optflags}" ; export CXXFLAGS ; \
FFLAGS="${FFLAGS:-%optflags%{?_fmoddir: -I%_fmoddir}}" ; export FFLAGS ; \
FCFLAGS="${FCFLAGS:-%optflags%{?_fmoddir: -I%_fmoddir}}" ; export FCFLAGS ; \
%{?__global_ldflags:LDFLAGS="${LDFLAGS:-%__global_ldflags}" ; export LDFLAGS ;} \


source %{_libdir}/ros/setup.bash

DESTDIR=%{buildroot} ; export DESTDIR

catkin_make_isolated \
  -DCMAKE_BUILD_TYPE=RelWithDebInfo \
  --source . \
  --install \
  --install-space %{_libdir}/ros/ \
  --pkg eigen_stl_containers

rm -rf %{buildroot}/%{_libdir}/ros/{.catkin,.rosinstall,_setup*,setup*,env.sh}

find %{buildroot}/%{_libdir}/ros/{bin,etc,include,lib/pkgconfig,lib64/python*,lib/python*/site-packages,share} \
  -mindepth 1 -maxdepth 1 | sed "s:%{buildroot}/::" > files.list
find %{buildroot}/%{_libdir}/ros/lib/ -mindepth 1 -maxdepth 1 \
  ! -name pkgconfig ! -name "python*" \
  | sed "s:%{buildroot}/::" >> files.list


find . -maxdepth 1 -type f -iname "*readme*" | sed "s:^:%%doc :" >> files.list
find . -maxdepth 1 -type f -iname "*license*" | sed "s:^:%%license :" >> files.list

%files -f files.list



%changelog
* Sat Aug 12 2017 Till Hofmann <hofmann@kbsg.rwth-aachen.de> - 0.1.8-1
- Update auto-generated Spec file
* Sat Aug 12 2017 Till Hofmann <hofmann@kbsg.rwth-aachen.de> - 0.1.8-1
- Update auto-generated Spec file
* Sat Aug 12 2017 Till Hofmann <hofmann@kbsg.rwth-aachen.de> - 0.1.8-1
- Update auto-generated Spec file
* Fri Aug 11 2017 Till Hofmann <hofmann@kbsg.rwth-aachen.de> - 0.1.8-1
- Update auto-generated Spec file
* Fri Aug 11 2017 Till Hofmann <hofmann@kbsg.rwth-aachen.de> - 0.1.8-1
- Update auto-generated Spec file
* Fri Aug 11 2017 Till Hofmann <hofmann@kbsg.rwth-aachen.de> - 0.1.8-1
- Update auto-generated Spec file
* Fri Aug 11 2017 Till Hofmann <hofmann@kbsg.rwth-aachen.de> - 0.1.8-1
- Update auto-generated Spec file
